<app-baselayout>
    <div class="createuser-wrapper mt-4">
     <div class="card">
         <div class="card-body">
          <h4 class="mb-4">Partner code : <b>{{partnerCode}}</b></h4>
             <h4 class="mb-4">Create User</h4>
                <!-- <div class="personal-detail" *ngIf="personalDetailSection"> -->
                    <form [formGroup]="personalDetailForm">
                      <div class="row">
                        <div class="col-12 col-md-6">
                          <input
                            type="text"
                            placeholder="Full name"
                            formControlName="fullName"
                            class="input"
                            required
                          />
                          <span
                            *ngIf="
                              personalDetailForm.touched &&
                              personalDetailForm.get('fullName').errors?.required
                            "
                            class="text-danger"
                          >
                            Please enter your full name
                          </span>
                          <span
                          *ngIf="
                            personalDetailForm.get('fullName').errors?.pattern
                          "
                          class="text-danger"
                        >
                        Special characters not allowed
                        </span>
                        </div>
                        <div class="col-12 col-md-6 position-relative">
                          <input
                            type="email"
                            placeholder="Email Address"
                            formControlName="email"
                            class="input"
                            required
                          />
                          <span
                            *ngIf="
                              personalDetailForm.touched &&
                              personalDetailForm.get('email').errors
                            "
                            class="text-danger"
                          >
                            Please enter a valid email id
                          </span>
                          <!-- <span *ngIf="sign_up_msg != ''" class="text-danger">
                            {{ sign_up_msg }}
                          </span> -->
                        </div>
                        <div class="col-12 col-md-6 position-relative phonenumber">
                          <div class="input-group mb-3 mt-0">
                            <div class="input-group-prepend">
                              <span class="input-group-text" id="basic-addon1"
                                >+91</span
                              >
                            </div>
                            <input
                              type="number"
                              class="form-control input"
                              formControlName="phoneNumber"
                              required
                              aria-describedby="basic-addon1"
                              
                            />
                            <span
                              *ngIf="
                                personalDetailForm.touched &&
                                personalDetailForm.get('phoneNumber').errors
                              "
                              class="text-danger mt-4 w-100 d-block"
                            >
                              Please enter a valid mobile number
                            </span>
                          </div>
                        </div>
                        <div class="col-12 mt-4">
                            <button class="btn btn-primary" (click)="signUp()" [disabled]="!personalDetailForm.valid">
                              submit
                            </button>
                        </div>
                      </div>
                    </form>
                  <!-- </div> -->
         </div>
     </div>

     <div class="card mt-5">
       <div class="card-body table-responsive-sm">
         <h5 class="mb-4">Created User List</h5>
         <table class="table">
          <thead>
            <tr>
              
              <th scope="col">Name</th>
              <th scope="col">Email ID</th>
              <th scope="col">Mobile No</th>
              <th scope="col">Code</th>

            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let data of customerList">
              <td>{{data.rm_name}}</td>
              <td>{{data.rm_email_id}}</td>
              <td>{{data.rm_mobile_no}}</td>
              <td>{{data.rm_code}}</td>
            </tr>
          </tbody>
        </table>
       </div>
     </div>
    </div>
</app-baselayout>
